# Administration Reference

## bos listhosts

Purpose

Displays the contents of the /usr/afs/etc/CellServDB file

Synopsis

    bos listhosts -server <machine name>  [-cell <cell name>]
                  [-noauth]  [-localauth]  [-help]

    bos listh -s <machine name>  [-c <cell name>]  [-n]  [-l]  [-h]

    bos getcell -server <machine name>  [-cell <cell name>]
                [-noauth]  [-localauth]  [-help]

    bos getc -s <machine name>  [-c <cell name>]  [-n]  [-l]  [-h]

Description

The bos listhosts command formats and displays the list of a cell's database server machines from the /usr/afs/etc/CellServDB file on the server machine named by the -server argument.

To alter the list of machines, use the bos addhost and bos removehost commands.

Options

-server
  Indicates the server machine from which to display the /usr/afs/etc/CellServDB file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

  For consistent performance in the cell, the output must be the same on every server machine. The bos addhost reference page explains how to keep the machines synchronized.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The first line of the output names the cell to which the server machine belongs. Each of the following lines names a database server machine for that cell.

The `Host` number assigned to each database server machine is for server-internal use only and is not the same as, nor necessarily related to, the machine's IP address. The BOS Server assigned it as part of performing the bos addhost command.

Examples

The following command displays the database server machines listed in the /usr/afs/etc/CellServDB file on the machine fs7.abc.com.

       % bos listhosts fs7.abc.com
       Cell name is abc.com
           Host 1 is db1.abc.com
           Host 2 is db2.abc.com
           Host 3 is db3.abc.com

Privilege Required

None

Related Information

CellServDB (server version)

KeyFile

bos

bos addhost

bos removehost

© IBM Corporation 2000. All Rights Reserved